#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_start", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_done", 1, hls_out, -1, "", "", 1),
	Port_Property("ap_idle", 1, hls_out, -1, "", "", 1),
	Port_Property("ap_ready", 1, hls_out, -1, "", "", 1),
	Port_Property("spi_access_req", 1, hls_out, 0, "ap_none", "out_data", 1),
	Port_Property("spi_keep_cs_n", 1, hls_out, 1, "ap_none", "out_data", 1),
	Port_Property("can_dout_req", 1, hls_out, 2, "ap_none", "out_data", 1),
	Port_Property("dummy_tmr_out_i", 1, hls_in, 3, "ap_none", "in_data", 1),
	Port_Property("dummy_tmr_out_o", 1, hls_out, 3, "ap_none", "out_data", 1),
	Port_Property("can_spd", 8, hls_in, 4, "ap_none", "in_data", 1),
	Port_Property("spi_tx_data", 8, hls_out, 5, "ap_none", "out_data", 1),
	Port_Property("spi_access_ack", 1, hls_in, 6, "ap_none", "in_data", 1),
	Port_Property("spi_rx_data", 8, hls_in, 7, "ap_none", "in_data", 1),
	Port_Property("can_id", 16, hls_out, 8, "ap_none", "out_data", 1),
	Port_Property("can_rtr", 8, hls_out, 9, "ap_none", "out_data", 1),
	Port_Property("can_length", 8, hls_out, 10, "ap_none", "out_data", 1),
	Port_Property("can_data0", 8, hls_out, 11, "ap_none", "out_data", 1),
	Port_Property("can_data1", 8, hls_out, 12, "ap_none", "out_data", 1),
	Port_Property("can_data2", 8, hls_out, 13, "ap_none", "out_data", 1),
	Port_Property("can_data3", 8, hls_out, 14, "ap_none", "out_data", 1),
	Port_Property("can_data4", 8, hls_out, 15, "ap_none", "out_data", 1),
	Port_Property("can_data5", 8, hls_out, 16, "ap_none", "out_data", 1),
	Port_Property("can_data6", 8, hls_out, 17, "ap_none", "out_data", 1),
	Port_Property("can_data7", 8, hls_out, 18, "ap_none", "out_data", 1),
	Port_Property("can_dout_ena", 1, hls_in, 19, "ap_none", "in_data", 1),
	Port_Property("can_dout_ack", 1, hls_in, 20, "ap_none", "in_data", 1),
};
const char* HLS_Design_Meta::dut_name = "mcp2515_can_spi";
