# This script segment is generated automatically by AutoPilot

# Memory (RAM/ROM)  definition:
set ID 24
set hasByteEnable 0
set MemName mcp2515_can_spi_mcp2515_can_spi_mbkb
set CoreName ap_simcore_mem
set PortList { 2 1 }
set DataWd 8
set AddrRange 8
set AddrWd 3
set impl_style block
set TrueReset 0
set HasInitializer 0
set IsROM 0
set ROMData {}
set NumOfStage 2
set MaxLatency -1
set DelayBudget 2.152
set ClkPeriod 8
set RegisteredInput 0
if {${::AESL::PGuard_simmodel_gen}} {
if {[info proc ap_gen_simcore_mem] == "ap_gen_simcore_mem"} {
    eval "ap_gen_simcore_mem { \
    id ${ID} \
    name ${MemName} \
    corename ${CoreName}  \
    op mem \
    hasByteEnable ${hasByteEnable} \
    reset_level 1 \
    sync_rst true \
    stage_num ${NumOfStage}  \
    registered_input ${RegisteredInput} \
    port_num 2 \
    port_list \{${PortList}\} \
    data_wd ${DataWd} \
    addr_wd ${AddrWd} \
    addr_range ${AddrRange} \
    style ${impl_style} \
    true_reset ${TrueReset} \
    delay_budget ${DelayBudget} \
    clk_period ${ClkPeriod} \
    HasInitializer ${HasInitializer} \
    rom_data \{${ROMData}\} \
 } "
} else {
    puts "@W \[IMPL-102\] Cannot find ap_gen_simcore_mem, check your platform lib"
}
}


if {${::AESL::PGuard_rtl_comp_handler}} {
  ::AP::rtl_comp_handler $MemName
}


set CoreName RAM
if {${::AESL::PGuard_autocg_gen} && ${::AESL::PGuard_autocg_ipmgen}} {
if {[info proc ::AESL_LIB_VIRTEX::xil_gen_RAM] == "::AESL_LIB_VIRTEX::xil_gen_RAM"} {
    eval "::AESL_LIB_VIRTEX::xil_gen_RAM { \
    id ${ID} \
    name ${MemName} \
    corename ${CoreName}  \
    op mem \
    hasByteEnable ${hasByteEnable} \
    reset_level 1 \
    sync_rst true \
    stage_num ${NumOfStage}  \
    registered_input ${RegisteredInput} \
    port_num 2 \
    port_list \{${PortList}\} \
    data_wd ${DataWd} \
    addr_wd ${AddrWd} \
    addr_range ${AddrRange} \
    style ${impl_style} \
    true_reset ${TrueReset} \
    delay_budget ${DelayBudget} \
    clk_period ${ClkPeriod} \
    HasInitializer ${HasInitializer} \
    rom_data \{${ROMData}\} \
 } "
  } else {
    puts "@W \[IMPL-104\] Cannot find ::AESL_LIB_VIRTEX::xil_gen_RAM, check your platform lib"
  }
}


# clear list
if {${::AESL::PGuard_autoexp_gen}} {
    cg_default_interface_gen_dc_begin
    cg_default_interface_gen_bundle_begin
    AESL_LIB_XILADAPTER::native_axis_begin
}

set axilite_register_dict [dict create]
# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 25 \
    name spi_access_req \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_spi_access_req \
    op interface \
    ports { spi_access_req { O 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 26 \
    name spi_keep_cs_n \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_spi_keep_cs_n \
    op interface \
    ports { spi_keep_cs_n { O 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 27 \
    name can_dout_req \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_dout_req \
    op interface \
    ports { can_dout_req { O 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 28 \
    name dummy_tmr_out \
    type other \
    dir IO \
    reset_level 1 \
    sync_rst true \
    corename dc_dummy_tmr_out \
    op interface \
    ports { dummy_tmr_out_i { I 1 vector } dummy_tmr_out_o { O 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 29 \
    name can_spd \
    type other \
    dir I \
    reset_level 1 \
    sync_rst true \
    corename dc_can_spd \
    op interface \
    ports { can_spd { I 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 30 \
    name spi_tx_data \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_spi_tx_data \
    op interface \
    ports { spi_tx_data { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 31 \
    name spi_access_ack \
    type other \
    dir I \
    reset_level 1 \
    sync_rst true \
    corename dc_spi_access_ack \
    op interface \
    ports { spi_access_ack { I 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 32 \
    name spi_rx_data \
    type other \
    dir I \
    reset_level 1 \
    sync_rst true \
    corename dc_spi_rx_data \
    op interface \
    ports { spi_rx_data { I 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 33 \
    name can_id \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_id \
    op interface \
    ports { can_id { O 16 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 34 \
    name can_rtr \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_rtr \
    op interface \
    ports { can_rtr { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 35 \
    name can_length \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_length \
    op interface \
    ports { can_length { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 36 \
    name can_data0 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data0 \
    op interface \
    ports { can_data0 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 37 \
    name can_data1 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data1 \
    op interface \
    ports { can_data1 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 38 \
    name can_data2 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data2 \
    op interface \
    ports { can_data2 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 39 \
    name can_data3 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data3 \
    op interface \
    ports { can_data3 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 40 \
    name can_data4 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data4 \
    op interface \
    ports { can_data4 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 41 \
    name can_data5 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data5 \
    op interface \
    ports { can_data5 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 42 \
    name can_data6 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data6 \
    op interface \
    ports { can_data6 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 43 \
    name can_data7 \
    type other \
    dir O \
    reset_level 1 \
    sync_rst true \
    corename dc_can_data7 \
    op interface \
    ports { can_data7 { O 8 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 44 \
    name can_dout_ena \
    type other \
    dir I \
    reset_level 1 \
    sync_rst true \
    corename dc_can_dout_ena \
    op interface \
    ports { can_dout_ena { I 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id 45 \
    name can_dout_ack \
    type other \
    dir I \
    reset_level 1 \
    sync_rst true \
    corename dc_can_dout_ack \
    op interface \
    ports { can_dout_ack { I 1 vector } } \
} "
}

# Direct connection:
if {${::AESL::PGuard_autoexp_gen}} {
eval "cg_default_interface_gen_dc { \
    id -1 \
    name ap_ctrl \
    type ap_ctrl \
    reset_level 1 \
    sync_rst true \
    corename ap_ctrl \
    op interface \
    ports { ap_start { I 1 bit } ap_ready { O 1 bit } ap_done { O 1 bit } ap_idle { O 1 bit } } \
} "
}


# Adapter definition:
set PortName ap_clk
set DataWd 1 
if {${::AESL::PGuard_autoexp_gen}} {
if {[info proc cg_default_interface_gen_clock] == "cg_default_interface_gen_clock"} {
eval "cg_default_interface_gen_clock { \
    id -2 \
    name ${PortName} \
    reset_level 1 \
    sync_rst true \
    corename apif_ap_clk \
    data_wd ${DataWd} \
    op interface \
}"
} else {
puts "@W \[IMPL-113\] Cannot find bus interface model in the library. Ignored generation of bus interface for '${PortName}'"
}
}


# Adapter definition:
set PortName ap_rst
set DataWd 1 
if {${::AESL::PGuard_autoexp_gen}} {
if {[info proc cg_default_interface_gen_reset] == "cg_default_interface_gen_reset"} {
eval "cg_default_interface_gen_reset { \
    id -3 \
    name ${PortName} \
    reset_level 1 \
    sync_rst true \
    corename apif_ap_rst \
    data_wd ${DataWd} \
    op interface \
}"
} else {
puts "@W \[IMPL-114\] Cannot find bus interface model in the library. Ignored generation of bus interface for '${PortName}'"
}
}



# merge
if {${::AESL::PGuard_autoexp_gen}} {
    cg_default_interface_gen_dc_end
    cg_default_interface_gen_bundle_end
    AESL_LIB_XILADAPTER::native_axis_end
}


