set moduleName mcp2515_get_message
set isTopModule 0
set isTaskLevelControl 1
set isCombinational 0
set isDatapathOnly 0
set isFreeRunPipelineModule 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_hs
set isOneStateSeq 0
set ProfileFlag 0
set StallSigGenFlag 0
set isEnableWaveformDebug 1
set C_modelName {mcp2515_get_message}
set C_modelType { int 40 }
set C_modelArgList {
	{ message_id_read int 16 regular  }
	{ message_rtr_read int 8 regular  }
	{ message_length_read int 8 regular  }
	{ message_data int 8 regular {array 8 { 0 3 } 0 1 }  }
	{ spi_tx_data int 8 regular {pointer 1 volatile } {global 1}  }
	{ spi_keep_cs_n int 1 regular {pointer 1 volatile } {global 1}  }
	{ spi_access_req int 1 regular {pointer 1 volatile } {global 1}  }
	{ spi_access_ack int 1 regular {pointer 0 volatile } {global 0}  }
	{ spi_rx_data int 8 regular {pointer 0 volatile } {global 0}  }
}
set C_modelArgMapList {[ 
	{ "Name" : "message_id_read", "interface" : "wire", "bitwidth" : 16, "direction" : "READONLY"} , 
 	{ "Name" : "message_rtr_read", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY"} , 
 	{ "Name" : "message_length_read", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY"} , 
 	{ "Name" : "message_data", "interface" : "memory", "bitwidth" : 8, "direction" : "WRITEONLY"} , 
 	{ "Name" : "spi_tx_data", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "spi_tx_data","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_keep_cs_n", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_keep_cs_n","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_access_req", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_access_req","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_access_ack", "interface" : "wire", "bitwidth" : 1, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_access_ack","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_rx_data", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "spi_rx_data","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "ap_return", "interface" : "wire", "bitwidth" : 40} ]}
# RTL Port declarations: 
set portNum 25
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
	{ message_id_read sc_in sc_lv 16 signal 0 } 
	{ message_rtr_read sc_in sc_lv 8 signal 1 } 
	{ message_length_read sc_in sc_lv 8 signal 2 } 
	{ message_data_address0 sc_out sc_lv 3 signal 3 } 
	{ message_data_ce0 sc_out sc_logic 1 signal 3 } 
	{ message_data_we0 sc_out sc_logic 1 signal 3 } 
	{ message_data_d0 sc_out sc_lv 8 signal 3 } 
	{ spi_tx_data sc_out sc_lv 8 signal 4 } 
	{ spi_tx_data_ap_vld sc_out sc_logic 1 outvld 4 } 
	{ spi_keep_cs_n sc_out sc_lv 1 signal 5 } 
	{ spi_keep_cs_n_ap_vld sc_out sc_logic 1 outvld 5 } 
	{ spi_access_req sc_out sc_lv 1 signal 6 } 
	{ spi_access_req_ap_vld sc_out sc_logic 1 outvld 6 } 
	{ spi_access_ack sc_in sc_lv 1 signal 7 } 
	{ spi_rx_data sc_in sc_lv 8 signal 8 } 
	{ ap_return_0 sc_out sc_lv 8 signal -1 } 
	{ ap_return_1 sc_out sc_lv 16 signal -1 } 
	{ ap_return_2 sc_out sc_lv 8 signal -1 } 
	{ ap_return_3 sc_out sc_lv 8 signal -1 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst", "role": "default" }} , 
 	{ "name": "ap_start", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "start", "bundle":{"name": "ap_start", "role": "default" }} , 
 	{ "name": "ap_done", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "predone", "bundle":{"name": "ap_done", "role": "default" }} , 
 	{ "name": "ap_idle", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "done", "bundle":{"name": "ap_idle", "role": "default" }} , 
 	{ "name": "ap_ready", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "ready", "bundle":{"name": "ap_ready", "role": "default" }} , 
 	{ "name": "message_id_read", "direction": "in", "datatype": "sc_lv", "bitwidth":16, "type": "signal", "bundle":{"name": "message_id_read", "role": "default" }} , 
 	{ "name": "message_rtr_read", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "message_rtr_read", "role": "default" }} , 
 	{ "name": "message_length_read", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "message_length_read", "role": "default" }} , 
 	{ "name": "message_data_address0", "direction": "out", "datatype": "sc_lv", "bitwidth":3, "type": "signal", "bundle":{"name": "message_data", "role": "address0" }} , 
 	{ "name": "message_data_ce0", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "message_data", "role": "ce0" }} , 
 	{ "name": "message_data_we0", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "signal", "bundle":{"name": "message_data", "role": "we0" }} , 
 	{ "name": "message_data_d0", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "message_data", "role": "d0" }} , 
 	{ "name": "spi_tx_data", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "spi_tx_data", "role": "default" }} , 
 	{ "name": "spi_tx_data_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "spi_tx_data", "role": "ap_vld" }} , 
 	{ "name": "spi_keep_cs_n", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_keep_cs_n", "role": "default" }} , 
 	{ "name": "spi_keep_cs_n_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "spi_keep_cs_n", "role": "ap_vld" }} , 
 	{ "name": "spi_access_req", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_access_req", "role": "default" }} , 
 	{ "name": "spi_access_req_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "spi_access_req", "role": "ap_vld" }} , 
 	{ "name": "spi_access_ack", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_access_ack", "role": "default" }} , 
 	{ "name": "spi_rx_data", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "spi_rx_data", "role": "default" }} , 
 	{ "name": "ap_return_0", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "ap_return_0", "role": "default" }} , 
 	{ "name": "ap_return_1", "direction": "out", "datatype": "sc_lv", "bitwidth":16, "type": "signal", "bundle":{"name": "ap_return_1", "role": "default" }} , 
 	{ "name": "ap_return_2", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "ap_return_2", "role": "default" }} , 
 	{ "name": "ap_return_3", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "ap_return_3", "role": "default" }}  ]}

set RtlHierarchyInfo {[
	{"ID" : "0", "Level" : "0", "Path" : "`AUTOTB_DUT_INST", "Parent" : "", "Child" : ["1"],
		"CDFG" : "mcp2515_get_message",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"WaitState" : [
			{"State" : "ap_ST_fsm_state2", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state4", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state6", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state8", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state10", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state12", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state14", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state16", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state21", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state19", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state20", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state23", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state25", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state27", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state29", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state31", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state29", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"}],
		"Port" : [
			{"Name" : "message_id_read", "Type" : "None", "Direction" : "I"},
			{"Name" : "message_rtr_read", "Type" : "None", "Direction" : "I"},
			{"Name" : "message_length_read", "Type" : "None", "Direction" : "I"},
			{"Name" : "message_data", "Type" : "Memory", "Direction" : "O"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_tx_data"}]},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_keep_cs_n"}]},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_access_req"}]},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_access_ack"}]},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_rx_data"}]}]},
	{"ID" : "1", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.grp_spi_putc_fu_231", "Parent" : "0",
		"CDFG" : "spi_putc",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"Port" : [
			{"Name" : "din", "Type" : "None", "Direction" : "I"},
			{"Name" : "keep_cs_n", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I"}]}]}


set ArgLastReadFirstWriteLatency {
	mcp2515_get_message {
		message_id_read {Type I LastRead 3 FirstWrite -1}
		message_rtr_read {Type I LastRead 3 FirstWrite -1}
		message_length_read {Type I LastRead 3 FirstWrite -1}
		message_data {Type O LastRead -1 FirstWrite 16}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}}
	spi_putc {
		din {Type I LastRead 0 FirstWrite -1}
		keep_cs_n {Type I LastRead 0 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}}}

set hasDtUnsupportedChannel 0

set PerformanceInfo {[
	{"Name" : "Latency", "Min" : "-1", "Max" : "-1"}
	, {"Name" : "Interval", "Min" : "-1", "Max" : "-1"}
]}

set PipelineEnableSignalInfo {[
]}

set Spec2ImplPortList { 
	message_id_read { ap_none {  { message_id_read in_data 0 16 } } }
	message_rtr_read { ap_none {  { message_rtr_read in_data 0 8 } } }
	message_length_read { ap_none {  { message_length_read in_data 0 8 } } }
	message_data { ap_memory {  { message_data_address0 mem_address 1 3 }  { message_data_ce0 mem_ce 1 1 }  { message_data_we0 mem_we 1 1 }  { message_data_d0 mem_din 1 8 } } }
	spi_tx_data { ap_vld {  { spi_tx_data out_data 1 8 }  { spi_tx_data_ap_vld out_vld 1 1 } } }
	spi_keep_cs_n { ap_vld {  { spi_keep_cs_n out_data 1 1 }  { spi_keep_cs_n_ap_vld out_vld 1 1 } } }
	spi_access_req { ap_vld {  { spi_access_req out_data 1 1 }  { spi_access_req_ap_vld out_vld 1 1 } } }
	spi_access_ack { ap_none {  { spi_access_ack in_data 0 1 } } }
	spi_rx_data { ap_none {  { spi_rx_data in_data 0 8 } } }
}
