set moduleName mcp2515_init
set isTopModule 0
set isTaskLevelControl 1
set isCombinational 0
set isDatapathOnly 0
set isFreeRunPipelineModule 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_hs
set isOneStateSeq 0
set ProfileFlag 0
set StallSigGenFlag 0
set isEnableWaveformDebug 1
set C_modelName {mcp2515_init}
set C_modelType { void 0 }
set C_modelArgList {
	{ speed uint 8 regular  }
	{ spi_tx_data int 8 regular {pointer 1 volatile } {global 1}  }
	{ spi_keep_cs_n int 1 regular {pointer 1 volatile } {global 1}  }
	{ spi_access_req int 1 regular {pointer 1 volatile } {global 1}  }
	{ spi_access_ack int 1 regular {pointer 0 volatile } {global 0}  }
	{ spi_rx_data int 8 regular {pointer 0 volatile } {global 0}  }
	{ dummy_tmr_out int 1 regular {pointer 2 volatile } {global 2}  }
}
set C_modelArgMapList {[ 
	{ "Name" : "speed", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY"} , 
 	{ "Name" : "spi_tx_data", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "spi_tx_data","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_keep_cs_n", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_keep_cs_n","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_access_req", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_access_req","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_access_ack", "interface" : "wire", "bitwidth" : 1, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_access_ack","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_rx_data", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "spi_rx_data","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "dummy_tmr_out", "interface" : "wire", "bitwidth" : 1, "direction" : "READWRITE", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "dummy_tmr_out","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} ]}
# RTL Port declarations: 
set portNum 18
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
	{ speed sc_in sc_lv 8 signal 0 } 
	{ spi_tx_data sc_out sc_lv 8 signal 1 } 
	{ spi_tx_data_ap_vld sc_out sc_logic 1 outvld 1 } 
	{ spi_keep_cs_n sc_out sc_lv 1 signal 2 } 
	{ spi_keep_cs_n_ap_vld sc_out sc_logic 1 outvld 2 } 
	{ spi_access_req sc_out sc_lv 1 signal 3 } 
	{ spi_access_req_ap_vld sc_out sc_logic 1 outvld 3 } 
	{ spi_access_ack sc_in sc_lv 1 signal 4 } 
	{ spi_rx_data sc_in sc_lv 8 signal 5 } 
	{ dummy_tmr_out_i sc_in sc_lv 1 signal 6 } 
	{ dummy_tmr_out_o sc_out sc_lv 1 signal 6 } 
	{ dummy_tmr_out_o_ap_vld sc_out sc_logic 1 outvld 6 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst", "role": "default" }} , 
 	{ "name": "ap_start", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "start", "bundle":{"name": "ap_start", "role": "default" }} , 
 	{ "name": "ap_done", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "predone", "bundle":{"name": "ap_done", "role": "default" }} , 
 	{ "name": "ap_idle", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "done", "bundle":{"name": "ap_idle", "role": "default" }} , 
 	{ "name": "ap_ready", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "ready", "bundle":{"name": "ap_ready", "role": "default" }} , 
 	{ "name": "speed", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "speed", "role": "default" }} , 
 	{ "name": "spi_tx_data", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "spi_tx_data", "role": "default" }} , 
 	{ "name": "spi_tx_data_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "spi_tx_data", "role": "ap_vld" }} , 
 	{ "name": "spi_keep_cs_n", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_keep_cs_n", "role": "default" }} , 
 	{ "name": "spi_keep_cs_n_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "spi_keep_cs_n", "role": "ap_vld" }} , 
 	{ "name": "spi_access_req", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_access_req", "role": "default" }} , 
 	{ "name": "spi_access_req_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "spi_access_req", "role": "ap_vld" }} , 
 	{ "name": "spi_access_ack", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_access_ack", "role": "default" }} , 
 	{ "name": "spi_rx_data", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "spi_rx_data", "role": "default" }} , 
 	{ "name": "dummy_tmr_out_i", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "dummy_tmr_out", "role": "i" }} , 
 	{ "name": "dummy_tmr_out_o", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "dummy_tmr_out", "role": "o" }} , 
 	{ "name": "dummy_tmr_out_o_ap_vld", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "outvld", "bundle":{"name": "dummy_tmr_out", "role": "o_ap_vld" }}  ]}

set RtlHierarchyInfo {[
	{"ID" : "0", "Level" : "0", "Path" : "`AUTOTB_DUT_INST", "Parent" : "", "Child" : ["1"],
		"CDFG" : "mcp2515_init",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"WaitState" : [
			{"State" : "ap_ST_fsm_state3", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state5", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state7", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state9", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state11", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state13", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state15", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state17", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state19", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state21", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state23", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state25", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state27", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state29", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state31", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state33", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state35", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state37", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state39", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state41", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state43", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state45", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state47", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state49", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state51", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state53", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state55", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state57", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state59", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state61", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"}],
		"Port" : [
			{"Name" : "speed", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_tx_data"}]},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_keep_cs_n"}]},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_access_req"}]},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_access_ack"}]},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "1", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_rx_data"}]},
			{"Name" : "dummy_tmr_out", "Type" : "OVld", "Direction" : "IO"}]},
	{"ID" : "1", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.grp_spi_putc_fu_117", "Parent" : "0",
		"CDFG" : "spi_putc",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"Port" : [
			{"Name" : "din", "Type" : "None", "Direction" : "I"},
			{"Name" : "keep_cs_n", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I"}]}]}


set ArgLastReadFirstWriteLatency {
	mcp2515_init {
		speed {Type I LastRead 0 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}
		dummy_tmr_out {Type IO LastRead 3 FirstWrite 3}}
	spi_putc {
		din {Type I LastRead 0 FirstWrite -1}
		keep_cs_n {Type I LastRead 0 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}}}

set hasDtUnsupportedChannel 0

set PerformanceInfo {[
	{"Name" : "Latency", "Min" : "-1", "Max" : "-1"}
	, {"Name" : "Interval", "Min" : "-1", "Max" : "-1"}
]}

set PipelineEnableSignalInfo {[
]}

set Spec2ImplPortList { 
	speed { ap_none {  { speed in_data 0 8 } } }
	spi_tx_data { ap_vld {  { spi_tx_data out_data 1 8 }  { spi_tx_data_ap_vld out_vld 1 1 } } }
	spi_keep_cs_n { ap_vld {  { spi_keep_cs_n out_data 1 1 }  { spi_keep_cs_n_ap_vld out_vld 1 1 } } }
	spi_access_req { ap_vld {  { spi_access_req out_data 1 1 }  { spi_access_req_ap_vld out_vld 1 1 } } }
	spi_access_ack { ap_none {  { spi_access_ack in_data 0 1 } } }
	spi_rx_data { ap_none {  { spi_rx_data in_data 0 8 } } }
	dummy_tmr_out { ap_ovld {  { dummy_tmr_out_i in_data 0 1 }  { dummy_tmr_out_o out_data 1 1 }  { dummy_tmr_out_o_ap_vld out_vld 1 1 } } }
}
