set_property -dict {PACKAGE_PIN E3 IOSTANDARD LVCMOS33} [get_ports {clk}]
create_clock -period 10.000 -name sys_clk_pin -waveform {0.000 5.000} -add [get_ports {clk}]

set_property -dict {PACKAGE_PIN C2 IOSTANDARD LVCMOS33} [get_ports {rst_n}]

set_property -dict {PACKAGE_PIN R17 IOSTANDARD LVCMOS33} [get_ports {rs}]
set_property -dict {PACKAGE_PIN U18 IOSTANDARD LVCMOS33} [get_ports {e}]
set_property -dict {PACKAGE_PIN P14 IOSTANDARD LVCMOS33} [get_ports {data[3]}]
set_property -dict {PACKAGE_PIN T11 IOSTANDARD LVCMOS33} [get_ports {data[2]}]
set_property -dict {PACKAGE_PIN R12 IOSTANDARD LVCMOS33} [get_ports {data[1]}]
set_property -dict {PACKAGE_PIN T14 IOSTANDARD LVCMOS33} [get_ports {data[0]}]

set_property -dict {PACKAGE_PIN G13 IOSTANDARD LVCMOS33} [get_ports {gps_uart_rx}]

set_property PACKAGE_PIN H5 [get_ports {led_out[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_out[0]}]
set_property PACKAGE_PIN J5 [get_ports {led_out[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_out[1]}]
set_property PACKAGE_PIN T9 [get_ports {led_out[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_out[2]}]
set_property PACKAGE_PIN T10 [get_ports {led_out[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {led_out[3]}]

set_property IOSTANDARD LVCMOS33 [get_ports {dipsw_in[0]}]
set_property PACKAGE_PIN A8 [get_ports {dipsw_in[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {dipsw_in[1]}]
set_property PACKAGE_PIN C11 [get_ports {dipsw_in[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {dipsw_in[2]}]
set_property PACKAGE_PIN C10 [get_ports {dipsw_in[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {dipsw_in[3]}]
set_property PACKAGE_PIN A10 [get_ports {dipsw_in[3]}]

set_property IOSTANDARD LVCMOS33 [get_ports {button_in[0]}]
set_property PACKAGE_PIN D9 [get_ports {button_in[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {button_in[1]}]
set_property PACKAGE_PIN C9 [get_ports {button_in[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {button_in[2]}]
set_property PACKAGE_PIN B9 [get_ports {button_in[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {button_in[3]}]
set_property PACKAGE_PIN B8 [get_ports {button_in[3]}]

set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.CONFIGRATE 33 [current_design]
set_property CONFIG_MODE SPIx4 [current_design]
