#include "hls_design_meta.h"
const Port_Property HLS_Design_Meta::port_props[]={
	Port_Property("ap_clk", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_rst", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_start", 1, hls_in, -1, "", "", 1),
	Port_Property("ap_done", 1, hls_out, -1, "", "", 1),
	Port_Property("ap_idle", 1, hls_out, -1, "", "", 1),
	Port_Property("ap_ready", 1, hls_out, -1, "", "", 1),
	Port_Property("can_0_dout_req", 1, hls_out, 0, "ap_none", "out_data", 1),
	Port_Property("pct_dout_wr", 1, hls_out, 1, "ap_none", "out_data", 1),
	Port_Property("can_0_numdata", 16, hls_in, 2, "ap_none", "in_data", 1),
	Port_Property("can_0_dout_ena", 1, hls_in, 3, "ap_none", "in_data", 1),
	Port_Property("can_0_dout_ack", 1, hls_in, 4, "ap_none", "in_data", 1),
	Port_Property("can_0_sec", 20, hls_in, 5, "ap_none", "in_data", 1),
	Port_Property("can_0_secfrac", 24, hls_in, 6, "ap_none", "in_data", 1),
	Port_Property("can_0_id", 16, hls_in, 7, "ap_none", "in_data", 1),
	Port_Property("can_0_length", 8, hls_in, 8, "ap_none", "in_data", 1),
	Port_Property("can_0_data", 64, hls_in, 9, "ap_none", "in_data", 1),
	Port_Property("pct_dout_numspace", 16, hls_in, 10, "ap_none", "in_data", 1),
	Port_Property("pct_dout", 10, hls_out, 11, "ap_none", "out_data", 1),
};
const char* HLS_Design_Meta::dut_name = "data_formatter";
