set moduleName mcp2515_can_spi
set isTopModule 1
set isTaskLevelControl 1
set isCombinational 0
set isDatapathOnly 0
set isFreeRunPipelineModule 0
set isPipelined 0
set pipeline_type none
set FunctionProtocol ap_ctrl_hs
set isOneStateSeq 0
set ProfileFlag 0
set StallSigGenFlag 0
set isEnableWaveformDebug 1
set C_modelName {mcp2515_can_spi}
set C_modelType { void 0 }
set C_modelArgList {
	{ spi_access_req int 1 regular {pointer 1 volatile } {global 1}  }
	{ spi_keep_cs_n int 1 regular {pointer 1 volatile } {global 1}  }
	{ can_dout_req int 1 regular {pointer 1 volatile } {global 1}  }
	{ dummy_tmr_out int 1 regular {pointer 2 volatile } {global 2}  }
	{ can_spd int 8 regular {pointer 0 volatile } {global 0}  }
	{ spi_tx_data int 8 regular {pointer 1 volatile } {global 1}  }
	{ spi_access_ack int 1 regular {pointer 0 volatile } {global 0}  }
	{ spi_rx_data int 8 regular {pointer 0 volatile } {global 0}  }
	{ can_id int 16 regular {pointer 1 volatile } {global 1}  }
	{ can_rtr int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_length int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data0 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data1 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data2 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data3 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data4 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data5 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data6 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_data7 int 8 regular {pointer 1 volatile } {global 1}  }
	{ can_dout_ena int 1 regular {pointer 0 volatile } {global 0}  }
	{ can_dout_ack int 1 regular {pointer 0 volatile } {global 0}  }
}
set C_modelArgMapList {[ 
	{ "Name" : "spi_access_req", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_access_req","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_keep_cs_n", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_keep_cs_n","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_dout_req", "interface" : "wire", "bitwidth" : 1, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "can_dout_req","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "dummy_tmr_out", "interface" : "wire", "bitwidth" : 1, "direction" : "READWRITE", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "dummy_tmr_out","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_spd", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_spd","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_tx_data", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "spi_tx_data","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_access_ack", "interface" : "wire", "bitwidth" : 1, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "spi_access_ack","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "spi_rx_data", "interface" : "wire", "bitwidth" : 8, "direction" : "READONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "spi_rx_data","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_id", "interface" : "wire", "bitwidth" : 16, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":15,"cElement": [{"cName": "can_id","cData": "uint16","bit_use": { "low": 0,"up": 15},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_rtr", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_rtr","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_length", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_length","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data0", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data0","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data1", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data1","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data2", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data2","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data3", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data3","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data4", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data4","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data5", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data5","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data6", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data6","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_data7", "interface" : "wire", "bitwidth" : 8, "direction" : "WRITEONLY", "bitSlice":[{"low":0,"up":7,"cElement": [{"cName": "can_data7","cData": "uint8","bit_use": { "low": 0,"up": 7},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_dout_ena", "interface" : "wire", "bitwidth" : 1, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "can_dout_ena","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} , 
 	{ "Name" : "can_dout_ack", "interface" : "wire", "bitwidth" : 1, "direction" : "READONLY", "bitSlice":[{"low":0,"up":0,"cElement": [{"cName": "can_dout_ack","cData": "uint1","bit_use": { "low": 0,"up": 0},"cArray": [{"low" : 0,"up" : 0,"step" : 1}]}]}], "extern" : 0} ]}
# RTL Port declarations: 
set portNum 28
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
	{ spi_access_req sc_out sc_lv 1 signal 0 } 
	{ spi_keep_cs_n sc_out sc_lv 1 signal 1 } 
	{ can_dout_req sc_out sc_lv 1 signal 2 } 
	{ dummy_tmr_out_i sc_in sc_lv 1 signal 3 } 
	{ dummy_tmr_out_o sc_out sc_lv 1 signal 3 } 
	{ can_spd sc_in sc_lv 8 signal 4 } 
	{ spi_tx_data sc_out sc_lv 8 signal 5 } 
	{ spi_access_ack sc_in sc_lv 1 signal 6 } 
	{ spi_rx_data sc_in sc_lv 8 signal 7 } 
	{ can_id sc_out sc_lv 16 signal 8 } 
	{ can_rtr sc_out sc_lv 8 signal 9 } 
	{ can_length sc_out sc_lv 8 signal 10 } 
	{ can_data0 sc_out sc_lv 8 signal 11 } 
	{ can_data1 sc_out sc_lv 8 signal 12 } 
	{ can_data2 sc_out sc_lv 8 signal 13 } 
	{ can_data3 sc_out sc_lv 8 signal 14 } 
	{ can_data4 sc_out sc_lv 8 signal 15 } 
	{ can_data5 sc_out sc_lv 8 signal 16 } 
	{ can_data6 sc_out sc_lv 8 signal 17 } 
	{ can_data7 sc_out sc_lv 8 signal 18 } 
	{ can_dout_ena sc_in sc_lv 1 signal 19 } 
	{ can_dout_ack sc_in sc_lv 1 signal 20 } 
}
set NewPortList {[ 
	{ "name": "ap_clk", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "clock", "bundle":{"name": "ap_clk", "role": "default" }} , 
 	{ "name": "ap_rst", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "reset", "bundle":{"name": "ap_rst", "role": "default" }} , 
 	{ "name": "ap_start", "direction": "in", "datatype": "sc_logic", "bitwidth":1, "type": "start", "bundle":{"name": "ap_start", "role": "default" }} , 
 	{ "name": "ap_done", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "predone", "bundle":{"name": "ap_done", "role": "default" }} , 
 	{ "name": "ap_idle", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "done", "bundle":{"name": "ap_idle", "role": "default" }} , 
 	{ "name": "ap_ready", "direction": "out", "datatype": "sc_logic", "bitwidth":1, "type": "ready", "bundle":{"name": "ap_ready", "role": "default" }} , 
 	{ "name": "spi_access_req", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_access_req", "role": "default" }} , 
 	{ "name": "spi_keep_cs_n", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_keep_cs_n", "role": "default" }} , 
 	{ "name": "can_dout_req", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "can_dout_req", "role": "default" }} , 
 	{ "name": "dummy_tmr_out_i", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "dummy_tmr_out", "role": "i" }} , 
 	{ "name": "dummy_tmr_out_o", "direction": "out", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "dummy_tmr_out", "role": "o" }} , 
 	{ "name": "can_spd", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_spd", "role": "default" }} , 
 	{ "name": "spi_tx_data", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "spi_tx_data", "role": "default" }} , 
 	{ "name": "spi_access_ack", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "spi_access_ack", "role": "default" }} , 
 	{ "name": "spi_rx_data", "direction": "in", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "spi_rx_data", "role": "default" }} , 
 	{ "name": "can_id", "direction": "out", "datatype": "sc_lv", "bitwidth":16, "type": "signal", "bundle":{"name": "can_id", "role": "default" }} , 
 	{ "name": "can_rtr", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_rtr", "role": "default" }} , 
 	{ "name": "can_length", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_length", "role": "default" }} , 
 	{ "name": "can_data0", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data0", "role": "default" }} , 
 	{ "name": "can_data1", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data1", "role": "default" }} , 
 	{ "name": "can_data2", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data2", "role": "default" }} , 
 	{ "name": "can_data3", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data3", "role": "default" }} , 
 	{ "name": "can_data4", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data4", "role": "default" }} , 
 	{ "name": "can_data5", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data5", "role": "default" }} , 
 	{ "name": "can_data6", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data6", "role": "default" }} , 
 	{ "name": "can_data7", "direction": "out", "datatype": "sc_lv", "bitwidth":8, "type": "signal", "bundle":{"name": "can_data7", "role": "default" }} , 
 	{ "name": "can_dout_ena", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "can_dout_ena", "role": "default" }} , 
 	{ "name": "can_dout_ack", "direction": "in", "datatype": "sc_lv", "bitwidth":1, "type": "signal", "bundle":{"name": "can_dout_ack", "role": "default" }}  ]}

set RtlHierarchyInfo {[
	{"ID" : "0", "Level" : "0", "Path" : "`AUTOTB_DUT_INST", "Parent" : "", "Child" : ["1", "2", "4"],
		"CDFG" : "mcp2515_can_spi",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"WaitState" : [
			{"State" : "ap_ST_fsm_state9", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_mcp2515_get_message_fu_382"},
			{"State" : "ap_ST_fsm_state7", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_mcp2515_init_fu_400"}],
		"Port" : [
			{"Name" : "spi_access_req", "Type" : "None", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "4", "SubInstance" : "grp_mcp2515_init_fu_400", "Port" : "spi_access_req"},
					{"ID" : "2", "SubInstance" : "grp_mcp2515_get_message_fu_382", "Port" : "spi_access_req"}]},
			{"Name" : "spi_keep_cs_n", "Type" : "None", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "4", "SubInstance" : "grp_mcp2515_init_fu_400", "Port" : "spi_keep_cs_n"},
					{"ID" : "2", "SubInstance" : "grp_mcp2515_get_message_fu_382", "Port" : "spi_keep_cs_n"}]},
			{"Name" : "can_dout_req", "Type" : "None", "Direction" : "O"},
			{"Name" : "dummy_tmr_out", "Type" : "None", "Direction" : "IO",
				"SubConnect" : [
					{"ID" : "4", "SubInstance" : "grp_mcp2515_init_fu_400", "Port" : "dummy_tmr_out"}]},
			{"Name" : "can_spd", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "None", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "4", "SubInstance" : "grp_mcp2515_init_fu_400", "Port" : "spi_tx_data"},
					{"ID" : "2", "SubInstance" : "grp_mcp2515_get_message_fu_382", "Port" : "spi_tx_data"}]},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "4", "SubInstance" : "grp_mcp2515_init_fu_400", "Port" : "spi_access_ack"},
					{"ID" : "2", "SubInstance" : "grp_mcp2515_get_message_fu_382", "Port" : "spi_access_ack"}]},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "4", "SubInstance" : "grp_mcp2515_init_fu_400", "Port" : "spi_rx_data"},
					{"ID" : "2", "SubInstance" : "grp_mcp2515_get_message_fu_382", "Port" : "spi_rx_data"}]},
			{"Name" : "can_id", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_rtr", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_length", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data0", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data1", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data2", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data3", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data4", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data5", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data6", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_data7", "Type" : "None", "Direction" : "O"},
			{"Name" : "can_dout_ena", "Type" : "None", "Direction" : "I"},
			{"Name" : "can_dout_ack", "Type" : "None", "Direction" : "I"}]},
	{"ID" : "1", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.message_data_U", "Parent" : "0"},
	{"ID" : "2", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.grp_mcp2515_get_message_fu_382", "Parent" : "0", "Child" : ["3"],
		"CDFG" : "mcp2515_get_message",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"WaitState" : [
			{"State" : "ap_ST_fsm_state2", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state4", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state6", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state8", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state10", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state12", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state14", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state16", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state21", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state19", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state20", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state23", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state25", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state27", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state29", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state31", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"},
			{"State" : "ap_ST_fsm_state29", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_231"}],
		"Port" : [
			{"Name" : "message_id_read", "Type" : "None", "Direction" : "I"},
			{"Name" : "message_rtr_read", "Type" : "None", "Direction" : "I"},
			{"Name" : "message_length_read", "Type" : "None", "Direction" : "I"},
			{"Name" : "message_data", "Type" : "Memory", "Direction" : "O"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "3", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_tx_data"}]},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "3", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_keep_cs_n"}]},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "3", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_access_req"}]},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "3", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_access_ack"}]},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "3", "SubInstance" : "grp_spi_putc_fu_231", "Port" : "spi_rx_data"}]}]},
	{"ID" : "3", "Level" : "2", "Path" : "`AUTOTB_DUT_INST.grp_mcp2515_get_message_fu_382.grp_spi_putc_fu_231", "Parent" : "2",
		"CDFG" : "spi_putc",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"Port" : [
			{"Name" : "din", "Type" : "None", "Direction" : "I"},
			{"Name" : "keep_cs_n", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I"}]},
	{"ID" : "4", "Level" : "1", "Path" : "`AUTOTB_DUT_INST.grp_mcp2515_init_fu_400", "Parent" : "0", "Child" : ["5"],
		"CDFG" : "mcp2515_init",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"WaitState" : [
			{"State" : "ap_ST_fsm_state3", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state5", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state7", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state9", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state11", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state13", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state15", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state17", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state19", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state21", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state23", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state25", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state27", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state29", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state31", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state33", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state35", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state37", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state39", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state41", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state43", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state45", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state47", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state49", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state51", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state53", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state55", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state57", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state59", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"},
			{"State" : "ap_ST_fsm_state61", "FSM" : "ap_CS_fsm", "SubInstance" : "grp_spi_putc_fu_117"}],
		"Port" : [
			{"Name" : "speed", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "5", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_tx_data"}]},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "5", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_keep_cs_n"}]},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O",
				"SubConnect" : [
					{"ID" : "5", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_access_req"}]},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "5", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_access_ack"}]},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I",
				"SubConnect" : [
					{"ID" : "5", "SubInstance" : "grp_spi_putc_fu_117", "Port" : "spi_rx_data"}]},
			{"Name" : "dummy_tmr_out", "Type" : "OVld", "Direction" : "IO"}]},
	{"ID" : "5", "Level" : "2", "Path" : "`AUTOTB_DUT_INST.grp_mcp2515_init_fu_400.grp_spi_putc_fu_117", "Parent" : "4",
		"CDFG" : "spi_putc",
		"Protocol" : "ap_ctrl_hs",
		"ControlExist" : "1", "ap_start" : "1", "ap_ready" : "1", "ap_done" : "1", "ap_continue" : "0", "ap_idle" : "1",
		"Pipeline" : "None", "UnalignedPipeline" : "0", "RewindPipeline" : "0", "ProcessNetwork" : "0",
		"II" : "0",
		"VariableLatency" : "1", "ExactLatency" : "-1", "EstimateLatencyMin" : "-1", "EstimateLatencyMax" : "-1",
		"Combinational" : "0",
		"Datapath" : "0",
		"ClockEnable" : "0",
		"HasSubDataflow" : "0",
		"InDataflowNetwork" : "0",
		"HasNonBlockingOperation" : "0",
		"Port" : [
			{"Name" : "din", "Type" : "None", "Direction" : "I"},
			{"Name" : "keep_cs_n", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_tx_data", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_keep_cs_n", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_req", "Type" : "Vld", "Direction" : "O"},
			{"Name" : "spi_access_ack", "Type" : "None", "Direction" : "I"},
			{"Name" : "spi_rx_data", "Type" : "None", "Direction" : "I"}]}]}


set ArgLastReadFirstWriteLatency {
	mcp2515_can_spi {
		spi_access_req {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		can_dout_req {Type O LastRead -1 FirstWrite 0}
		dummy_tmr_out {Type IO LastRead 3 FirstWrite 3}
		can_spd {Type I LastRead 3 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}
		can_id {Type O LastRead -1 FirstWrite 6}
		can_rtr {Type O LastRead -1 FirstWrite 6}
		can_length {Type O LastRead -1 FirstWrite 6}
		can_data0 {Type O LastRead -1 FirstWrite 8}
		can_data1 {Type O LastRead -1 FirstWrite 8}
		can_data2 {Type O LastRead -1 FirstWrite 9}
		can_data3 {Type O LastRead -1 FirstWrite 9}
		can_data4 {Type O LastRead -1 FirstWrite 10}
		can_data5 {Type O LastRead -1 FirstWrite 10}
		can_data6 {Type O LastRead -1 FirstWrite 11}
		can_data7 {Type O LastRead -1 FirstWrite 11}
		can_dout_ena {Type I LastRead 12 FirstWrite -1}
		can_dout_ack {Type I LastRead 17 FirstWrite -1}}
	mcp2515_get_message {
		message_id_read {Type I LastRead 3 FirstWrite -1}
		message_rtr_read {Type I LastRead 3 FirstWrite -1}
		message_length_read {Type I LastRead 3 FirstWrite -1}
		message_data {Type O LastRead -1 FirstWrite 16}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}}
	spi_putc {
		din {Type I LastRead 0 FirstWrite -1}
		keep_cs_n {Type I LastRead 0 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}}
	mcp2515_init {
		speed {Type I LastRead 0 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}
		dummy_tmr_out {Type IO LastRead 3 FirstWrite 3}}
	spi_putc {
		din {Type I LastRead 0 FirstWrite -1}
		keep_cs_n {Type I LastRead 0 FirstWrite -1}
		spi_tx_data {Type O LastRead -1 FirstWrite 0}
		spi_keep_cs_n {Type O LastRead -1 FirstWrite 0}
		spi_access_req {Type O LastRead -1 FirstWrite 1}
		spi_access_ack {Type I LastRead 4 FirstWrite -1}
		spi_rx_data {Type I LastRead 2 FirstWrite -1}}}

set hasDtUnsupportedChannel 0

set PerformanceInfo {[
	{"Name" : "Latency", "Min" : "-1", "Max" : "-1"}
	, {"Name" : "Interval", "Min" : "0", "Max" : "0"}
]}

set PipelineEnableSignalInfo {[
]}

set Spec2ImplPortList { 
	spi_access_req { ap_none {  { spi_access_req out_data 1 1 } } }
	spi_keep_cs_n { ap_none {  { spi_keep_cs_n out_data 1 1 } } }
	can_dout_req { ap_none {  { can_dout_req out_data 1 1 } } }
	dummy_tmr_out { ap_none {  { dummy_tmr_out_i in_data 0 1 }  { dummy_tmr_out_o out_data 1 1 } } }
	can_spd { ap_none {  { can_spd in_data 0 8 } } }
	spi_tx_data { ap_none {  { spi_tx_data out_data 1 8 } } }
	spi_access_ack { ap_none {  { spi_access_ack in_data 0 1 } } }
	spi_rx_data { ap_none {  { spi_rx_data in_data 0 8 } } }
	can_id { ap_none {  { can_id out_data 1 16 } } }
	can_rtr { ap_none {  { can_rtr out_data 1 8 } } }
	can_length { ap_none {  { can_length out_data 1 8 } } }
	can_data0 { ap_none {  { can_data0 out_data 1 8 } } }
	can_data1 { ap_none {  { can_data1 out_data 1 8 } } }
	can_data2 { ap_none {  { can_data2 out_data 1 8 } } }
	can_data3 { ap_none {  { can_data3 out_data 1 8 } } }
	can_data4 { ap_none {  { can_data4 out_data 1 8 } } }
	can_data5 { ap_none {  { can_data5 out_data 1 8 } } }
	can_data6 { ap_none {  { can_data6 out_data 1 8 } } }
	can_data7 { ap_none {  { can_data7 out_data 1 8 } } }
	can_dout_ena { ap_none {  { can_dout_ena in_data 0 1 } } }
	can_dout_ack { ap_none {  { can_dout_ack in_data 0 1 } } }
}

set busDeadlockParameterList { 
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
}

# RTL bus port read request latency information:
set busReadReqLatencyList { 
}

# RTL bus port write response latency information:
set busWriteResLatencyList { 
}

# RTL array port load latency information:
set memoryLoadLatencyList { 
}
